# ApiSimpleRollingRestartClusterArgs Data Model

Basic arguments used for Rolling Restart Cluster commands.

Properties
name | data type | description
--- | --- | ---
slaveBatchSize | number | Number of hosts with slave roles to restart at a time. Must be greater than zero. Default is 1.
sleepSeconds | number | Number of seconds to sleep between restarts of slave host batches. Must be greater than or equal to 0. Default is 0.
slaveFailCountThreshold | number | The threshold for number of slave host batches that are allowed to fail to restart before the entire command is considered failed. Must be greater than or equal to 0. Default is 0. This argument is for ADVANCED users only.

Example

    {
      "slaveBatchSize" : 12345,
      "sleepSeconds" : 12345,
      "slaveFailCountThreshold" : 12345
    }